[Deprecated]: V1.0
get
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/dataelements/{dataelementId}/{opeartionType}/childItems
Deprecated: Retrieves all the child items, forms and visits required to be cleared in order to modify a given data element.
Request
Path Parameters
-
dataelementId(required): string(uuid)
DataElement ID
-
mode(required): string
Mode of the study. Accepts test, active, or training.
-
opeartionType(required): string
Scope of the API is it clear/update
-
studyId(required): string
ID of the study for which you want to filter and retrieve data elements.
Query Parameters
-
value: array[string]
Values of the data element getting passed.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object ChildInfoDto1
Child information flags and child items for a data element operation
Nested Schema : ChildInfoDto1
Type:
objectChild information flags and child items for a data element operation
Show Source
-
childInFuture: boolean
True if the child item belongs to a future visit instanceExample:
false -
childIsFrozen: boolean
True if the child item is frozenExample:
false -
childIsHidden: boolean
True if the child item is hidden by rule or configurationExample:
false -
childIsLocked: boolean
True if the child item is lockedExample:
false -
childIsReadOnly: boolean
True if the child item is read-onlyExample:
false -
childIsUnFrozen: boolean
True if the child item is unfrozenExample:
false -
childItems: array
childItems
List of child items derived for the requested operation
-
formAssociated: boolean
True if the item is associated with a form associationExample:
false -
isGrandParent: boolean
True if the item is a grandparent item in hierarchyExample:
false -
itemEligibleForClear: boolean
Indicates if the item is eligible to be clearedExample:
false
Nested Schema : childItems
Type:
arrayList of child items derived for the requested operation
Show Source
-
Array of:
object items
List of child items derived for the requested operation
Nested Schema : items
Type:
objectList of child items derived for the requested operation
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.